
QGIS Application - Bug report #19272

MSSQL Zooming Crash

2018-06-26 05:44 PM - Alex Magruder

Status: Closed

Priority: High

Assignee:

Category: Unknown

Affected QGIS version:3.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 27100

Description

Crashes when zooming on a MSSQL spatial layer. Does not matter on the zoom level or the number of features in extent. Layer properties

and Attribute table work as expected.

Crash ID: 8ef2967d7ac96f2bd49a367da34e0564040b7e66

Stack Trace

RtlTryEnterCriticalSection :

SQLSetEnvAttr :

SQLGetFunctions :

QSqlDatabase::open :

QSqlDatabase::database :

QSqlDatabase::database :

sourceSelectProviders :

sourceSelectProviders :

QgsVectorLayerFeatureIterator::QgsVectorLayerFeatureIterator :

QgsVectorLayerFeatureSource::getFeatures :

QgsVectorLayerLabelProvider::registerFeature :

QgsMapRendererParallelJob::renderLayerStatic :

QgsArchive::zip :

QgsImageOperation::overlayColor :

QgsImageOperation::flipImage :

QtConcurrent::ThreadEngineBase::run :

QThreadPoolPrivate::reset :

QThread::start :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.0-Bonn

QGIS code revision: bc43194061

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64
Kernel Type: winnt

Kernel Version: 6.1.7601

History

#1 - 2018-06-27 11:36 PM - Jürgen Fischer

- Subject changed from QGIS 3.2 - MSSQL Zooming Crash to MSSQL Zooming Crash

#2 - 2018-10-02 10:20 PM - Nyall Dawson

- Status changed from Open to Feedback

Should be fixed in 3.3 master - please test

#3 - 2018-11-08 01:31 PM - Giovanni Manghi

Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.

#4 - 2018-11-08 09:36 PM - Alex Magruder

Confirming that issue was resolved with version 3.4.1

#5 - 2018-11-09 02:07 AM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed
